Debian Bug report logs - #461595
live-initramfs: live-snapshot script is broken (like argument handling)

version graph

Package: live-initramfs; Maintainer for live-initramfs is Debian Live Project <debian-live@lists.debian.org>;

Reported by: Michael Prokop <mika@grml.org>

Date: Sat, 19 Jan 2008 20:00:04 UTC

Severity: important

Found in version live-initramfs/1.110.7-1

Fixed in version live-initramfs/1.127.1-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live-maint@lists.alioth.debian.org>:
Bug#461595; Package live-initramfs. Full text and rfc822 format available.

Acknowledgement sent to Michael Prokop <mika@grml.org>:
New Bug report received and forwarded. Copy sent to Debian Live <debian-live-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Prokop <mika@grml.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-initramfs: live-snapshot script is broken (like argument handling)
Date: Sat, 19 Jan 2008 20:54:59 +0100
Package: live-initramfs
Version: 1.110.7-1
Severity: important


live-snapshot does not work as documented:

# live-snapshot -d /dev/sdb1
live-snapshot: option requires an argument -- d
Terminating.

# live-snapshot
ln: creating symbolic link `/home/grml/Desktop/live-snapshot' to `/mnt/live-snapshot': No such file or directory
# ls -la /mnt/live-snapshot
total 36344
drwxrwxrwt  2 root root       60 2008-01-19 18:48 ./
drwxr-xr-x 18 root root      380 2008-01-19 18:44 ../
-rw-r--r--  1 root root 37171774 2008-01-19 18:48 live-sn.cpio.gz

I'm not sure how:

        ARGS="${1}"
        ARGUMENTS="$(getopt --longoptions cow:,device:,output,resync-string:,type:,help,usage,version --name=${PROGRAM} --options c:d:o:t:r:,h,u,v --shell sh -- ${ARGS})"

should work at all. Changing that into:

        ARGS="$*"
        [...]

seems to fix at least the option parsing issue.

And the:

                if [ ! -L /home/${USERNAME}/Desktop/live-snapshot ]
                then
                        ln -s "${MOUNTP}" /home/${USERNAME}/Desktop/live-snapshot
                fi

should include a check whether /home/${USERNAME}/Desktop exists at
all.

Is anyone using live-snapshot at all? :) It should receive some work
+ updates - like providing some usage examples in the manpage. I'm
not even sure how to re-use the generated live-sn.cpio.gz file when
rebooting my live-system. I'd work on those issues and will provide
patches, but would welcome some basic instructions about the
supposed workflow of live-snapshot before re-enventing the wheel. ;)

regards,
-mika-




Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Michael Prokop <mika@grml.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 461595-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 461595-close@bugs.debian.org
Subject: Bug#461595: fixed in live-initramfs 1.127.1-1
Date: Mon, 31 Mar 2008 06:17:03 +0000
Source: live-initramfs
Source-Version: 1.127.1-1

We believe that the bug you reported is fixed in the latest version of
live-initramfs, which is due to be installed in the Debian FTP archive:

live-initramfs_1.127.1-1.diff.gz
  to pool/main/l/live-initramfs/live-initramfs_1.127.1-1.diff.gz
live-initramfs_1.127.1-1.dsc
  to pool/main/l/live-initramfs/live-initramfs_1.127.1-1.dsc
live-initramfs_1.127.1-1_all.deb
  to pool/main/l/live-initramfs/live-initramfs_1.127.1-1_all.deb
live-initramfs_1.127.1.orig.tar.gz
  to pool/main/l/live-initramfs/live-initramfs_1.127.1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 461595@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-initramfs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 31 Mar 2008 00:00:00 +0200
Source: live-initramfs
Binary: live-initramfs
Architecture: source all
Version: 1.127.1-1
Distribution: unstable
Urgency: medium
Maintainer: Debian Live <debian-live-maint@lists.alioth.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-initramfs - Debian Live initramfs hook
Closes: 431000 461595
Changes: 
 live-initramfs (1.127.1-1) unstable; urgency=medium
 .
   [ Daniel Baumann ]
   * Merging casper 1.127.
   * Merging casper 1.126.
   * Removing too early recommends to live-initscripts in control to make
     some people happy (Closes: #431000).
 .
   [ Chris Lamb ]
   * hooks/live, scripts/live: Add USB modules, workaround udevtrigger
     (?) bug
   * scripts/live-helpers: Don't search ram block devices
   * scripts/live-helpers: Search / use case
   * scripts/live-helpers: Fixes for set -e
   * bin/live-snapshot: Vastly rework script
   * bin/live-snapshot: Fix argument handling (Closes: #461595)
   * scripts/live: Make 'nopersistent' parameter actually disable
     persistence
Files: 
 7e0a5ef9e77646cd40f840703eaa9f03 902 misc optional live-initramfs_1.127.1-1.dsc
 e3eacf5c4d918e52bd7da094d4e39303 65960 misc optional live-initramfs_1.127.1.orig.tar.gz
 74358b117d580a6c80d7cd220bfbe4ff 5745 misc optional live-initramfs_1.127.1-1.diff.gz
 a2a88749d229b89978f64671aa4d1f45 67934 misc optional live-initramfs_1.127.1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH8H7l+C5cwEsrK54RAl1sAJ4rA1PCDIlx5CpcRd9uGX1U+KFNSACcCw1f
HXrwhw32ZRrOuKqJO8lrT+s=
=KInK
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 04 May 2008 07:39:32 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 10:03:37 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.